summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorOmair Majid <omajid@redhat.com>2019-01-09 12:28:48 -0500
committerJarret Shook <jashoo@microsoft.com>2019-01-09 09:28:48 -0800
commit7e0608fee5cacbf5bf7d0c3886e2fcb1a9d10754 (patch)
tree98e7c858acdf57afc54360e0d58374714bd61f4c /build.sh
parentf76e33e6100e5c2b5cc1b0007829aa99d7199cb3 (diff)
downloadcoreclr-7e0608fee5cacbf5bf7d0c3886e2fcb1a9d10754.tar.gz
coreclr-7e0608fee5cacbf5bf7d0c3886e2fcb1a9d10754.tar.bz2
coreclr-7e0608fee5cacbf5bf7d0c3886e2fcb1a9d10754.zip
Support building with python3 on unix (#19356)
The windows build scripts try finding python in order of python3, python2 and then python. The unix build scripts dont. They just try python2 variants and then fail. This change makes brings them closer together by letting users build using only python3.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/build.sh b/build.sh
index a0b1742eff..14452ad5ac 100755
--- a/build.sh
+++ b/build.sh
@@ -7,9 +7,9 @@ export ghprbCommentBody=
# resolve python-version to use
if [ "$PYTHON" == "" ] ; then
- if ! PYTHON=$(command -v python2.7 || command -v python2 || command -v python)
+ if ! PYTHON=$(command -v python3 || command -v python2 || command -v python)
then
- echo "Unable to locate build-dependency python2.x!" 1>&2
+ echo "Unable to locate build-dependency python!" 1>&2
exit 1
fi
fi
@@ -17,7 +17,7 @@ fi
# useful in case of explicitly set option.
if ! command -v $PYTHON > /dev/null
then
- echo "Unable to locate build-dependency python2.x ($PYTHON)!" 1>&2
+ echo "Unable to locate build-dependency python ($PYTHON)!" 1>&2
exit 1
fi